BigCommerce

Integrate your application with the BigCommerce API

🚀 Quickstart

Connect to BigCommerce with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> BigCommerce. Enter the Client ID and Client Secret from your BigCommerce app (see the setup guide below).

Authorize BigCommerce

Go to Connections -> Add Test Connection -> Authorize, then enter the store's Store Hash (see the connect guide below for where to find it) and log in to BigCommerce to approve access. Later, you'll let your users do the same directly from your app.

Call the BigCommerce API

Let's make your first request to the BigCommerce API (fetch a list of orders). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v2/orders" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 BigCommerce Integration Guides

Tenklo maintained guides for common use cases.

Official docs: BigCommerce API documentation

🧩 Pre-built syncs & actions for BigCommerce

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-brandCreate a brand.Action🔗 Github
create-categoryCreate a category.Action🔗 Github
create-couponCreate a coupon.Action🔗 Github
create-customerCreate customers.Action🔗 Github
create-orderCreate an order.Action🔗 Github
create-price-listCreate a price list.Action🔗 Github
create-product-variantCreate a variant for a product.Action🔗 Github
create-productCreate a product.Action🔗 Github
create-subscriberCreate an email subscriber.Action🔗 Github
create-wishlistCreate a wishlistAction🔗 Github
delete-brandDelete a brand.Action🔗 Github
delete-categoryDelete a category.Action🔗 Github
delete-couponDelete a coupon.Action🔗 Github
delete-customerDelete a customer.Action🔗 Github
delete-product-variantDelete a product variant.Action🔗 Github
delete-productDelete a productAction🔗 Github
delete-subscriberDelete an email subscriber.Action🔗 Github
get-brandRetrieve a brand.Action🔗 Github
get-categoryRetrieve a category.Action🔗 Github
get-couponRetrieve a coupon.Action🔗 Github
get-order-productsList line items for an order.Action🔗 Github
get-order-shipping-addressesList shipping addresses for an order.Action🔗 Github
get-orderRetrieve an order.Action🔗 Github
get-productRetrieve a product.Action🔗 Github
list-brandsList brandsAction🔗 Github
list-categoriesList categories.Action🔗 Github
list-channel-listingsList product listings for a channel.Action🔗 Github
list-channelsList all channels including the default storefrontAction🔗 Github
list-couponsList coupons.Action🔗 Github
list-customer-addressesList addresses for a customer.Action🔗 Github
list-customersList customers.Action🔗 Github
list-order-statusesList all available order statuses.Action🔗 Github
list-ordersList orders.Action🔗 Github
list-price-listsList price lists.Action🔗 Github
list-product-variantsList variants for a product.Action🔗 Github
list-productsList catalog products.Action🔗 Github
list-subscribersList email newsletter subscribers.Action🔗 Github
list-wishlistsList wishlists.Action🔗 Github
update-brandUpdate a brand.Action🔗 Github
update-categoryUpdate a category.Action🔗 Github
update-couponUpdate a coupon.Action🔗 Github
update-customerUpdate a customer.Action🔗 Github
update-orderUpdate an order.Action🔗 Github
update-product-variantUpdate a product variant.Action🔗 Github
update-productUpdate a product.Action🔗 Github
update-subscriberUpdate an email subscriber.Action🔗 Github
brandsSync brands.Sync🔗 Github
categoriesSync categories.Sync🔗 Github
channel-listingsSync product listings for each channel.Sync🔗 Github
channelsSync channelsSync🔗 Github
couponsSync coupons.Sync🔗 Github
customersSync customers.Sync🔗 Github
ordersSync orders.Sync🔗 Github
productsSync products.Sync🔗 Github
subscribersSync email newsletter subscribers.Sync🔗 Github
variantsSync product variants across all productsSync🔗 Github
wishlistsSync wishlists.Sync🔗 Github

On this page